ON_WindowsBitmap Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_bitmap.h>`

Inheritance diagram for ON_WindowsBitmap:

## Public Member Functions

| ON_WindowsBitmap ()
| ON_WindowsBitmap (const ON_WindowsBitmap &)
| ~ON_WindowsBitmap ()
ON_WindowsBitmap & | operator= (const ON_WindowsBitmap &)
void | EmergencyDestroy ()
void | Destroy ()
bool | Create (int, int, int)
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
ON_BOOL32 | Write (ON_BinaryArchive &) const
ON_BOOL32 | Read (ON_BinaryArchive &)
bool | WriteCompressed (ON_BinaryArchive &) const
bool | ReadCompressed (ON_BinaryArchive &)
bool | WriteUncompressed (ON_BinaryArchive &) const
bool | ReadUncompressed (ON_BinaryArchive &)
int | Width () const
int | Height () const
int | PaletteColorCount () const
int | SizeofPalette () const
int | BitsPerPixel () const
int | SizeofScan () const
int | SizeofImage () const
unsigned char * | Bits (int)
const unsigned char * | Bits (int) const
ON_Color | Pixel (int, int) const
ON_Color | Pixel (int, const unsigned char *) const
bool | IsContiguous () const
Public Member Functions inherited from ON_Bitmap
| ON_Bitmap ()
| ~ON_Bitmap ()
ON_UUID | ModelObjectId () const
void | Dump (ON_TextLog &) const
void | EmergencyDestroy ()
void | Destroy ()
void | Defaults ()
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual unsigned int | SizeOf () const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON::object_type | ObjectType () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Public Attributes

struct ON_WindowsBITMAPINFO * | m_bmi
unsigned char * | m_bits
Public Attributes inherited from ON_Bitmap
ON_UUID | m_bitmap_id
int | m_bitmap_index
ON_wString | m_bitmap_name
ON_wString | m_bitmap_filename

## Detailed Description

Definition at line 341 of file opennurbs_bitmap.h.

## Constructor & Destructor Documentation

ON_WindowsBitmap::ON_WindowsBitmap | ( |  | ) |

ON_WindowsBitmap::ON_WindowsBitmap | ( | const ON_WindowsBitmap & |  | ) |

ON_WindowsBitmap::~ON_WindowsBitmap | ( |  | ) |

## Member Function Documentation

unsigned char* ON_WindowsBitmap::Bits | ( | int |  | ) |

virtual

Implements ON_Bitmap.

const unsigned char* ON_WindowsBitmap::Bits | ( | int |  | ) | const

virtual

Implements ON_Bitmap.

int ON_WindowsBitmap::BitsPerPixel | ( |  | ) | const

virtual

Implements ON_Bitmap.

bool ON_WindowsBitmap::Create | ( | int | ,
|  | int | ,
|  | int |
| ) |  |

void ON_WindowsBitmap::Destroy | ( |  | ) |

void ON_WindowsBitmap::EmergencyDestroy | ( |  | ) |

int ON_WindowsBitmap::Height | ( |  | ) | const

virtual

Implements ON_Bitmap.

bool ON_WindowsBitmap::IsContiguous | ( |  | ) | const

ON_BOOL32 ON_WindowsBitmap::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

virtual

Implements ON_Object.

ON_WindowsBitmap& ON_WindowsBitmap::operator= | ( | const ON_WindowsBitmap & |  | ) |

int ON_WindowsBitmap::PaletteColorCount | ( |  | ) | const

ON_Color ON_WindowsBitmap::Pixel | ( | int | ,
|  | int |
| ) |  | const

ON_Color ON_WindowsBitmap::Pixel | ( | int | ,
|  | const unsigned char * |
| ) |  | const

ON_BOOL32 ON_WindowsBitmap::Read | ( | ON_BinaryArchive & |  | ) |

virtual

Reimplemented from ON_Object.

Reimplemented in ON_WindowsBitmapEx.

bool ON_WindowsBitmap::ReadCompressed | ( | ON_BinaryArchive & |  | ) |

bool ON_WindowsBitmap::ReadUncompressed | ( | ON_BinaryArchive & |  | ) |

int ON_WindowsBitmap::SizeofImage | ( |  | ) | const

virtual

Implements ON_Bitmap.

int ON_WindowsBitmap::SizeofPalette | ( |  | ) | const

int ON_WindowsBitmap::SizeofScan | ( |  | ) | const

virtual

Implements ON_Bitmap.

int ON_WindowsBitmap::Width | ( |  | ) | const

virtual

Implements ON_Bitmap.

ON_BOOL32 ON_WindowsBitmap::Write | ( | ON_BinaryArchive & |  | ) | const

virtual

Reimplemented from ON_Object.

Reimplemented in ON_WindowsBitmapEx.

bool ON_WindowsBitmap::WriteCompressed | ( | ON_BinaryArchive & |  | ) | const

bool ON_WindowsBitmap::WriteUncompressed | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

unsigned char* ON_WindowsBitmap::m_bits

Definition at line 546 of file opennurbs_bitmap.h.

struct ON_WindowsBITMAPINFO* ON_WindowsBitmap::m_bmi

Definition at line 543 of file opennurbs_bitmap.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_bitmap.h